# Class InvalidAttributeIdentifierException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.directory.InvalidAttributeIdentifierException

All Implemented Interfaces:
  `Serializable`

public class InvalidAttributeIdentifierException extends NamingException
This exception is thrown when an attempt is made to add to create an attribute with an invalid attribute identifier. The validity of an attribute identifier is directory-specific.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

## Constructor Summary

Constructors
Constructor
Description
`InvalidAttributeIdentifierException()`
Constructs a new instance of InvalidAttributeIdentifierException.
`InvalidAttributeIdentifierException(String explanation)`
Constructs a new instance of InvalidAttributeIdentifierException using the explanation supplied.

## Method Summary

### Methods declared in class javax.naming.NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidAttributeIdentifierException

public InvalidAttributeIdentifierException(String explanation)
Constructs a new instance of InvalidAttributeIdentifierException using the explanation supplied. All other fields set to null.

Parameters:
  `explanation` - Possibly null string containing additional detail about this exception.
See Also:
  - `Throwable.getMessage()`

### InvalidAttributeIdentifierException

public InvalidAttributeIdentifierException()
Constructs a new instance of InvalidAttributeIdentifierException. All fields are set to null.